org.apache.fop.render.rtf

## Class BorderAttributesConverter

- java.lang.Object
- - org.apache.fop.render.rtf.BorderAttributesConverter

-     public final class BorderAttributesConverter
      extends Object

  Constants for RTF border attribute names, and a static method for converting fo attribute strings.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `convertAttributetoRtf(int iBorderStyle)`
    `static void` | `makeBorder(CommonBorderPaddingBackground border, int side, RtfAttributes attributes, String controlWord)` Create a border control word in attributes, with border properties as specified in color, style and width.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeBorder

          public static void makeBorder(CommonBorderPaddingBackground border,
                                        int side,
                                        RtfAttributes attributes,
                                        String controlWord)

      Create a border control word in attributes, with border properties as specified in color, style and width.
      Parameters:
        `border` - The CommonBorderPaddingBackground object.
        `side` - The START, END, BEFORE, AFTER enum from CommonBorderPaddingBackground.
        `attributes` - The attributes list to set the border control word.
        `controlWord` - The border control word.

    - #### convertAttributetoRtf

          public static String convertAttributetoRtf(int iBorderStyle)

      Parameters:
        `iBorderStyle` - the border style to be converted
      Returns:
        String with the converted border style

Copyright © 2023 Apache Software Foundation. All rights reserved.